package com.education.business.service.education;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.education.business.mapper.education. StepModelMapper;
import com.education.business.service.BaseService;
import com.education.common.model.PageInfo;
import com.education.model.dto. StepModelDto;
import com.education.model.entity. StepModel;
import com.education.model.request.PageParam;
import org.springframework.stereotype.Service;


/**
 * @author [Your Name]
 * @version 1.0
 * @create_at [Create Time]
 */
@Service
public class StepModelService extends BaseService< StepModelMapper,  StepModel> {



    public PageInfo< StepModel> selectPageList(PageParam pageParam,  StepModel  stepModel) {
        Page<StepModel> page = new Page<>(pageParam.getPageNumber(), pageParam.getPageSize());
        Page<StepModel> d = baseMapper.selectPageList(page,  stepModel);
        return selectPage(d);
    }

    @Override
    public boolean saveOrUpdate( StepModel  stepModel) {
        return super.saveOrUpdate( stepModel);
    }

}
